import request from '@/utils/request'

// 授权列表
export function fecthAuthList(params) {
  return request({
    url: '/auth/list',
    method: 'get',
    params
  })
}

// 添加品牌授权
export function saveBrandAuth(data) {
  return request({
    url: '/auth/save',
    method: 'post',
    data
  })
}

// 修改授权状态
export function changeAuthStatus(data) {
  return request({
    url: '/auth/update/status',
    method: 'post',
    data
  })
}

// 删除授权
export function removeAuth(data) {
  return request({
    url: '/auth/delete',
    method: 'post',
    data
  })
}

// 审核状态
export function auditAuth(data) {
  return request({
    url: '/auth/audit',
    method: 'post',
    data
  })
}
